<template>
  <view class="protocol-container">
    <u-parse :content="protocolData"></u-parse>
  </view>
</template>

<script>
import { GetProtoco } from "../../../api/protocol";
export default {
  data() {
    return {
      protocolData: "",
    };
  },
  onShow() {
    this.getProtoco();
  },
  methods: {
    async getProtoco() {
      let params = {
        protocols_key: "reg_description",
      };

      let res = await GetProtoco(params);
      if (res && res.status == 200) {
        this.protocolData = res.data.document;
      }
    },
  },
};
</script>

<style lang="scss">
.protocol-container {
  padding: 40rpx;
}
</style>